## source-extractor 2.28.2+ds

=== doc/requirements.txt ===
sphinx >= 5.0
sphinx_rtd_theme >= 1.1
sphinxcontrib-bibtex >= 2.4.0

## source-extractor 2.25.0+ds

=== debian/changelog ===
source-extractor (2.25.0+ds-3) unstable; urgency=medium

  * Add "Replaces" field in original pkg to ensure smooth transition
  * Make gstr declaration external (Closes: #957825)

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Jul 2020 16:19:48 +0200

source-extractor (2.25.0+ds-2) unstable; urgency=low

  * No-change source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Nov 2019 14:44:24 +0100

source-extractor (2.25.0+ds-1) unstable; urgency=low

  * Rename package to source-extractor (Closes: #941466)
  * Switch d/watch to github
  * New upstream version 2.25.0+ds. Rediff patches
  * Update d/copyright for new upstream version
  * Remove debian subdir from upstream package
  * Remove non-existing README from d/source-extractor.docs
  * Update tests to use fits catalog
  * Push Standards-Version to 4.4.1. No changes required.

 -- Ole Streicher <olebole@debian.org>  Wed, 13 Nov 2019 08:50:46 +0100

sextractor (2.19.5+dfsg-7) unstable; urgency=low

  * Compare numbers as floats, not as string, in CI test (Closes: #939473)
  * Add gitlab-ci.yml for salsa
  * Push Standards-Version to 4.4.0. No changes needed.
  * Push compat to 12. Remove d/compat
  * Switch patch format to gbp
  * Remove redundant build dependency

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Sep 2019 15:20:31 +0200

sextractor (2.19.5+dfsg-6) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Update tests to latest qadmath
  * Push Standards-Version to 4.1.4. Move remaining URLs to https
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Fri, 04 May 2018 22:42:06 +0200

sextractor (2.19.5+dfsg-5) unstable; urgency=medium

  * Update standards-version (no changes) and VCS fields
  * Take atlas includes from standard dir. (Closes: #877031)

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Sep 2017 16:02:43 +0200

sextractor (2.19.5+dfsg-4) unstable; urgency=low

  * Improve CI test so that it returns differences to the original catalog

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Nov 2015 09:53:25 +0100

sextractor (2.19.5+dfsg-3) unstable; urgency=low

  * Replace the build date with the last changed date of configure.ac
  * Unify debian/copyright with other astromatic packages

 -- Ole Streicher <olebole@debian.org>  Sat, 30 May 2015 10:06:53 +0200

sextractor (2.19.5+dfsg-2) unstable; urgency=low

  * Change maintainer and VCS to debian-astro
  * Update uploaders e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Change License to GPL-3.
  * Create upstream/metadata with bibliographic information
  * Create CI tests

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 14:28:46 +0200

sextractor (2.19.5+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Push standards-version to 3.9.5.
  * Push compat to 9

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 21 Mar 2014 10:10:23 +0100

sextractor (2.8.6+dfsg-1) unstable; urgency=low

  * Remove non-free documentation from source. Closes: #699275, #399759

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 30 Jan 2013 10:45:52 +0100

sextractor (2.8.6-3) unstable; urgency=low

  * Fix FTBS on mips (missed in last release)

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 13 Jun 2012 10:00:00 +0200

sextractor (2.8.6-2) unstable; urgency=low

  * Fix FTBS on mips and mipsel
  * Fix format version number
  * Push to latest policy release
  * Add DM-Upload-Allowed: yes

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 05 Jun 2012 19:55:00 +0200

sextractor (2.8.6-1) unstable; urgency=low

  * New maintainer. Closes: #654761
  * New upstream release. Closes: #406981, #624993
  * Update to current debian/source release. Closes: #615298

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 05 Jan 2012 19:32:00 +0100

sextractor (2.4.4-1) unstable; urgency=low

  * New upstream release; closes: 335745.
    - 'fixes a few "triggering" issues with WIN parameters'
    - ./debian/copyright: update URL
  * Indent homepage pseudo field as per DevRef best-practice.
  * Clarify public-domain license in ./debian/copyright and ./debian/rules.
  * Update TODO with stuff from BTS that isn't yet fixed now.
  * Apply a patch to allow cross-compilation with mingw.
  * Conflicts+Replaces: sextractor-doc; closes: #337281.
  * Transpose ./configure and CFLAGS.
  * Allowing cross compilation with mingw32.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Fri, 20 Jan 2006 19:37:51 -0500

sextractor (2.4.3-1) unstable; urgency=low

  * New upstream release;
    - Now handles MEF FITS files; a previous package by Stephen Quinney
      included a Debian patch to support them.
  * New maintainer (first official upload of this package maintained by me);
    Closes: #260740: ITP;
    - Previously maintained by Stephen Quinney, and updated unofficially by
      Florian Ernst.  Thanks to Florian for sponsoring this upload.
    - Redo packaging from scratch, taking into account my own previous diffs,
      Florian's diff, and Stephen's diff.
  * ./debian/copyright: include the wcs library license as included; neither
    call it "package", nor "Lesser GPL", but do update the FSF address to
    avoid a lintian warning;

 -- Justin Pryzby <justinpryzby@users.sf.net>  Tue, 18 Oct 2005 11:39:55 -0400

sextractor (2.3.2-4) unstable; urgency=low

  * Mention /usr/share/sextractor/ in manpage.
  * Include homepage in debian/control.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Mon, 26 Jul 2004 15:28:25 -0400

sextractor (2.3.2-3) unstable; urgency=low

  * Prune debian/rules, include more documentation.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Fri, 23 Jul 2004 20:48:01 -0400

sextractor (2.3.2-2) unstable; urgency=low

  * Include /usr/share/sextractor/ configuration files.  There are
    intentionally not marked as Debian conffiles; they're not global system
    parameters.  Everyone who uses sextractor has different parameter files,
    and likely even has multiple copies, one (or more!) per instrument setup.


=== debian/control ===
Source: source-extractor
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 12),
               libatlas-base-dev,
               libfftw3-dev
Standards-Version: 4.4.1
Homepage: https://www.astromatic.net/software/sextractor
Vcs-Git: https://salsa.debian.org/debian-astro-team/source-extractor.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/source-extractor

Package: source-extractor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: sextractor (<< 2.25.0+ds-1~)
Replaces: sextractor (<< 2.25.0+ds-1~)
Description: Source extractor for astronomical images
 Find sources, such as stars and galaxies, in astronomical images.
 The input data files are in FITS file format, and are analyzed to
 compute the locations of sources, with the ability to distinguish
 between galaxies and stars using a neural-network technique.

Package: sextractor
Architecture: all
Depends: source-extractor, ${misc:Depends}
Section: oldlibs
Description: Dummy transitional package for name change
 The original package name is seen as no longer appropriate by the
 astrophysics community, triggering a name change. This package
 ensures a smooth transition to the new package name. The transitional
 package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) \
	                     --build=$(DEB_BUILD_GNU_TYPE) \
                             --prefix=/usr --mandir=\$${prefix}/share/man \
                             --disable-threads

# Testing fails with a timeout on the MIPS Debian build system -- probably due
# to the missing FPU.: the tests make extensive use of floating point ops.
override_dh_auto_test:
	if [ $(DEB_BUILD_ARCH) != "mipsel" -a $(DEB_BUILD_ARCH) != "mips" ] ; \
	    then dh_auto_test ; fi

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/tests/control ===
Tests: source-extractor-test
Depends: source-extractor, python3-numpy, python3-astropy
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%source-extractor-$1.tar.gz%" \
  https://github.com/astromatic/sextractor/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## source-extractor 2.28.0%2Bds

=== debian/changelog ===
source-extractor (2.28.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:39 +1100

source-extractor (2.28.0+ds-1build1) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:55:28 +0100

source-extractor (2.28.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Ole Streicher ]
  * Remove old transitional package. Closes: #945192, #1038320
  * New upstream version 2.28.0+ds
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes needed
  * Remove outdated breaks/replaces: sextractor
  * Add new build-dep libcfitsio-dev
  * Remove unneeded install+manpages config files
  * Simplify d/rules

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 17:01:16 +0200

## source-extractor 2.28.0+ds

=== debian/control ===
Source: source-extractor
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libatlas-base-dev,
               libcfitsio-dev,
               libfftw3-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/source-extractor
Vcs-Git: https://salsa.debian.org/debian-astro-team/source-extractor.git
Homepage: https://www.astromatic.net/software/sextractor

Package: source-extractor
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Source extractor for astronomical images
 Find sources, such as stars and galaxies, in astronomical images.
 The input data files are in FITS file format, and are analyzed to
 compute the locations of sources, with the ability to distinguish
 between galaxies and stars using a neural-network technique.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

# Testing fails with a timeout on the MIPS Debian build system -- probably due
# to the missing FPU.: the tests make extensive use of floating point ops.
override_dh_auto_test:
	if [ $(DEB_BUILD_ARCH) != "mipsel" -a $(DEB_BUILD_ARCH) != "mips" ] ; \
	    then dh_auto_test ; fi

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## source-extractor 2.28.2+ds

=== debian/changelog ===
source-extractor (2.28.2+ds-1) unstable; urgency=medium

  * New upstream version 2.28.2+ds
  * Rediff patches
  * Drop old and outdated patches. They are no longer required on modern
    systems.

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jan 2025 14:06:11 +0100

source-extractor (2.28.0+ds-2) unstable; urgency=medium

  * Push Standards-Version to 4.7.0. No changes needed
  * Replace atlas with lapack (Closes: 1056688)

 -- Ole Streicher <olebole@debian.org>  Sun, 01 Sep 2024 14:26:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: source-extractor
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libatlas-base-dev,
+               libblas-dev,
                libcfitsio-dev,
-               libfftw3-dev
-Standards-Version: 4.6.2
+               libfftw3-dev,
+               liblapacke-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/source-extractor
 Vcs-Git: https://salsa.debian.org/debian-astro-team/source-extractor.git
 Homepage: https://www.astromatic.net/software/sextractor

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh  $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-openblas
 
 # Testing fails with a timeout on the MIPS Debian build system -- probably due
 # to the missing FPU.: the tests make extensive use of floating point ops.
